cross_process_sync.h File Reference
`#include <core/posix/visibility.h>`
`#include <cstdint>`
`#include <chrono>`
`#include <stdexcept>`
Include dependency graph for cross_process_sync.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | core::testing::CrossProcessSync
| A cross-process synchronization primitive that supports simple wait-condition-like scenarios. More...
struct | core::testing::CrossProcessSync::Error
struct | core::testing::CrossProcessSync::Error::Timeout
| Thrown if any of the *_for functions times out. More...

## Namespaces

| core
| core::testing